<?php

/* Entries.php *
 * This script just makes a list of entries
 * All of the other entry works made in entry.php
 */




/*
 * Starting the session
 * If the session class has not defined
 * Go to login.php
 */

session_start();
if (!(isset($_SESSION["class"])))
{
    header("Location: index.php"); exit();
}




/*
 * An entry class for the entry list
 */

class Entry
{
    public $comments;
    public $categories=array();
    public $id;
    public $title;
    public $text;
    public $date;
    public $htmlcode;
    
    function __construct($datas, $comments, $relations, $lng="", $bt="")
    {
        $this->id = $datas["id"];
        $this->title = $datas["title"];
        $this->text = $datas["main"];
		$this->keywords = $datas["keywords"];
        $this->date = date('m/d/Y', strtotime($datas["date"]));
        
        $this->comments = $comments;
        $this->categories = $relations;
        
        $this->htmlcode = $this->html($lng, $bt);
    }
    
    function html($lng, $bt)
    {
        $code = '
        <tr>
            <td><a href="entry.php?do=edit&entry_id='.$this->id.'">'.$lng["edit"].'</a></td>';
			
			if ($bt == "static")
				{ $code .= '<td><a href="../pages/entry-'.$this->id.'.html">'.$lng["show"].'</a></td>'; }
				
			else
				{ $code .= '<td><a href="../pages/show.php?show=entry&id='.$this->id.'">'.$lng["show"].'</a></td>'; }
        $code .= '<td><a href="entry.php?do=del&id='.$this->id.'">'.$lng["delete"].'</a></td>
            <td><div class="el_title">'.$this->title.'</div></td>
            <td><div class="el_categories">';
        
        foreach($this->categories as $i)
            { $code = $code.$i["name"]."&nbsp;&nbsp;"; }
        $code = $code.'</div></td>';
        $code = $code. '
			<td><div class="el_keywords">'.substr($this->keywords, 0, 15).'...</div></td>
            <td><div class="el_comments">'.$this->comments.' '.$lng["comments"].'</div></td>
            <td><div class="el_date">'.$this->date.'</div></td>
        </tr>';
            
        return $code;            
    }
}




/*
 * Importing DataBase class
 * Creating a new DataBase object
 */

require('db.php');
$DB = new DataBase();

require("../langs/".$DB->get_setting("lang").".php");
$lng = $_lang["entries.php"];
$lng["returntomanager"] = $_lang["returntomanager"];


/*
 * Get all entries from the DataBase
 * If the user is a writer
 * Put his/her entries into the owner_filtered array
 * 
 * Else just put every entry into the owner_filtered
 */

$bt = $DB->get_setting("browsingtype");

$get_entries = $DB->get_entries();
$owner_filtered = array();
if ($_SESSION["class"] == "writer")
{
    foreach($get_entries as $x)
    {
        if ($x["writer"] == $_SESSION["data"]["id"])
        {
            $owner_filtered[] = $x;
        }
    }
}

else
{ $owner_filtered = $get_entries; }




/*
 * Now, making our real Entry Object array "entries"
 * Foreach entry
 * Get its relations(categories)
 * Get its comments
 * Create an Entry object and put it into the entries array
 */

$entries = array();
foreach($owner_filtered as $entry)
{
    $rel = $DB->get_relations("entry", $entry["id"]);
    $categories = array();
    foreach($rel as $x) { $categories[] = $DB->get_category_info($x); }
    $comments = $DB->get_comments($entry["id"]);
    $entries[] = new Entry($entry, count($comments), $categories, $lng, $bt);
}




/*
 * Define panel variables
 */

$page_title = $lng["entries"];
$side2 = '
    <a href="index.php">'.$lng["returntomanager"].'</a><br/>
    <a href="entry.php?do=new">'.$lng["newentry"].'</a>';




/*
 * Create a table with each entry's html table code 
 */
    
$side1 = '<table>'.
'<tr><td></td><td></td><td></td><td><b>'.$lng["title"].'</b></td><td><b>'.$lng["categories"].'</b></td><td><b>'.$lng["keywords"].'</b></td></tr>';
foreach($entries as $entry)
{ $side1 .= $entry->htmlcode; }

$side1 .= "</table>";





/*
 * Import Panel class
 * Create a new panel object
 * Show it
 */

require('./panel.php');        
$panel = new Panel();
$panel->show($page_title, $side1, $side2);
?> 
