<?php

/* 
 * Starting Session
 * If session was not defined properly, go to login screen
 */

session_start();
if (!($_SESSION["class"] == "admin" || $_SESSION["class"] == "root" || $_SESSION["class"] == "writer"))
{
    header("Location: login.php"); exit();
}




/*
 * Import DataBase class in "db.php"
 * And make a new DataBase object.
 */

require('db.php');
$DB = new DataBase();

require("../langs/".$DB->get_setting("lang").".php");
$lng = $_lang["index.php"];
$lng["returntomanager"] = $_lang["returntomanager"];


/*
 * From DataBase get some settings
 * These settings will be shown on the main screen
 */

$title = $DB->get_setting("title");
$head = $DB->get_setting("header");
$desc = $DB->get_setting("description");




/*
 * If the user is a writer show a simple panel
 * This panel contains things about entries and comments of users entries
 */

if ($_SESSION["class"] == "writer")
{
    $page_title = $lng["writerjobs"];
    $side2 = $side2.'
        <a href="entries.php">'.$lng["entries"].'</a><br/>
		<a href="comment.php">'.$lng["comments"].'</a></a><br/>
        <a href="../index.htm" target="_blank">'.$lng["showblog"].'</a><br/>
		';
    
	if ($DB->get_setting("browsingtype") == "static")
		{ $side2 .= '<a href="make_site.php">'.$lng["makesite"].'</a><br/>
		'; }
		
    $side2 .= '<a href="mydata.php">'.$lng["mydata"].'</a><br/>
        <a href="logout.php">'.$lng["logout"].'</a>
        ';
        
    $side1 = $lng["welcome"].$_SESSION["data"]["name"];   
}




/*
 * If the user is an administrator or the root user
 * Show everything about blog
 */

else
{
    $page_title = $title.'   '.$lng["blogmanagement"];
    $side1 = '
        <h1>'.$head.'</h1>
        <h3>'.$desc.'</h3>
        <br/><br/><br/><br/><br/>
        '; 
        
    $side2 = $_SESSION["data"]["name"].'<br>('.$_SESSION["data"]["nick"].')<br/><br/>';
    $side2 = $side2.'
		<a href="entries.php">'.$lng["entries"].'</a><br/>
		<a href="comment.php">'.$lng["comments"].'</a><br/>
		<a href="settings.php">'.$lng["settings"].'</a><br/>
        <a href="category.php">'.$lng["categories"].'</a><br/>
        <a href="widgetmanager.php">'.$lng["widgets"].'</a><br/>
        <a href="user.php">'.$lng["users"].'</a><br/>
        <a href="mydata.php">'.$lng["mydata"].'</a><br/>        
        <a href="../index.htm" target="_blank">'.$lng["showblog"].'</a><br/>
		';
		
    if ($DB->get_setting("browsingtype") == "static")
		{ $side2 .= '<a href="make_site.php">'.$lng["makesite"].'</a><br/>
		'; }
        $side2 .= '<a href="logout.php">'.$lng["logout"].'</a>
        ';
}




/*
 * Variables $page_title, $side1 and $side2 were defined
 * Import Panel class in panel.php
 * Make a new Panel object
 * Show the panel
 */
require('./panel.php');
$panel = new Panel();
$panel->show($page_title, $side1, $side2);

?>
