<?php
/* Login.Php *
 * A simple login script
 */




/*
 * Starting the session
 */

session_start();

require('./db.php');
$DB = new DataBase();

require("../langs/".$DB->get_setting("lang").".php");
$lng = $_lang["login.php"];
$lng["returntomanager"] = $_lang["returntomanager"];


/*
 * Login function
 * Just shows the the panel
 */

function login($text, $lng)
{
            
    $page_title = $lng["login"];
    $side2 = "";
    $side1 = '
    <form action="login.php" method="post">
    <dl>
        <dt>'.$lng["nickname"].'</dt> 
        <dd><input type="text" id="nick" name="nick"/></dd>
        
        <dt>'.$lng["password"].'</dt> 
        <dd><input type="password" id="password" name="password"/></dd>
        
        <input type="hidden" id="do" name="do" value="login"/>
        
        <dt><input type="checkbox" name="remember" id="remember" value="rememberme" />'.$lng["rememberme"].' </dt>
        <dd><input type="submit" value="'.$lng["submit"].'"/></dd>
        
        <dt><a href="forgotpass.php">'.$lng["forgotpass"].'</a></dt>
    </dl>
    </form>';
    
    $side1 = $text.$side1;
    
    require('./panel.php');        
    $panel = new Panel();
    $panel->show($page_title, $side1, $side2);
}




/*
 * OK, getting started
 * If do equals login
 * It means the user has entered his/her data
 * The script will check the data 
 */

if ($_POST["do"] == "login")
{
    
    /*
     * Importing DataBase class
     * Creating a new DataBase object
     * Checking the data via usercheck function
     * If username and password is right
     * Define some Session variables
     */
    
    $username = $_POST["nick"];
    $password = md5($_POST["password"]);
    if ($data = $DB->usercheck($username, $password))
    {
        $_SESSION["data"] = $data;
        $_SESSION["class"] = $data["class"]; //For an easier access to class
        
        
        
        
        /*
         * If the user has clicked "Remember Me"
         * Set cookie
         */
        
        if (isset($_POST["remember"][0]))
        {
            setcookie("username", $username, time()+60*60*24*30);
            setcookie("password", $password, time()+60*60*24*30);
            setcookie("cookielogin", "YES", time()+60*60*24*30);
        }
        
        
        
        
        /*
         * Go to index.php
         */
        
        header("Location: index.php"); exit();
    }
    
    
    
    
    /*
     * If the user has entered wrong username or password
     * Go to the login screen again
     */
    
    else { login($lng["incorrectdata"], $lng); }
}




/*
 * If do does not equals login
 * but there is some cookies
 * Try the cookies to login
 */

elseif ($_COOKIE["cookielogin"]=="YES")
{
    $username = $_COOKIE["username"];
    $password = $_COOKIE["password"];

    if ($data = $DB->usercheck($username, $password))
    {
        $_SESSION["data"] = $data;
        $_SESSION["class"] = $data["class"];
        header("Location: index.php"); exit();
    }
    
    
    
    
    /*
     * If there is some cookies but they are wrong
     * Just Delete them
     * 
     * It can happen if the user has changed his/her password
     */
    
    else
    {
        setcookie("username", "", time()-99999);
        setcookie("password", "", time()-99999);
        setcookie("cookielogin", "NO", time()-99999);
        header("Location: login.php");
        exit();
    }
}




/*
 * If there is nothing about login
 * Just show the login screen
 */

else { login("", $lng); }

?> 
