<?php

/* Mailer.php *
 * It contains only our mail sender function
 * Using PHPMailer
 */


function send_mail($type, $data, $DB=NULL)
{
    /*
     * If there is a DataBase object, use it
     * Else make us a new one
     */
    
    if(!($DB))
    {
        require('db.php');
        $DB = new DataBase();
    }
    
	//require_once("../langs/".$DB->get_setting("lang").".php");
	global $_lang;
	
	if (!($_lang))
		{ require_once("../langs/".$DB->get_setting("lang").".php"); }
		
	$lng = $_lang["mailer.php"];
	
    require_once('phpmailer/class.phpmailer.php');
    
    $mail = new PHPMailer();
    $mail->IsSMTP();
    $mail->SMTPAuth = true;
    $mail->SMTPSecure = "ssl";
    $mail->Host = "smtp.gmail.com";
    $mail->Port = 465;
    $mail->Username = $DB->get_setting("sendermail");
    $mail->Password = $DB->get_setting("senderpass");
    $mail->SetFrom($DB->get_setting("sendermail"), $DB->get_setting("header"));
    
    if ($type == "comment")
    {
        $entry = $DB->get_entry($data["entryid"]);
        $user = $DB->get_user_data($entry["writer"]);
        $mail->AddAddress($user["email"]);
        $mail->Subject = $lng["newcomment"];
        
        $body = '<html><body>
		'.$lng["newcommenttext"].'<br/><br/>'
        .$data["date"].'<br/>'.$data["who"]
        .'</body></html>';
		
        $mail->MsgHTML($body);
        if($mail->Send())
            { return 0; }
        else
            { return $mail->ErrorInfo; }
    }
    
    elseif ($type == "newuser")
    {
        $mail->AddAddress($data["mail"]);
        $mail->Subject = $lng["userrequest"]." - ".$data["sitename"];
        $body = '<html><body>'.$lng["userrequesttext"].'<br/><br/>'
        .$data["address"].'</body></html>';
		
        $mail->MsgHTML($body);
        if($mail->Send())
            { return 0; }
        else
            { return 1; }
    }
    
    elseif ($type == "informate")
    {
        $mail->AddAddress($data["mail"]);
        $mail->Subject = $lng["yourdata"];
        $body = '<html><body>'.
        $lng["yourdatatext"].'<br/>'.$data["nick"].'<br/>'.$data["pass"].'</body></html>';
        $mail->MsgHTML($body);
        if($mail->Send())
            { return 0; }
        else
            { return 1; }
    }
    
    elseif ($type == "forgotpass")
    {
        $mail->AddAddress($data["mail"]);
        $mail->Subject = $lng["changeyourpass"];
        $body = '<html><body>'.$lng["changeyourpasstext"].'<br/>'.
        $data["address"].'</body></html>';
        $mail->MsgHTML($body);
        if($mail->Send())
            { return 0; }
        else
            { return 1; }
    }
}

?>
