<?php
/* Settings.php
 * Admins and the root can manage settings through this script
 * Writers can not change settings
 */


/*
 * Start session
 * If user's class is admin or root continue
 * else go to login.php
 */

session_start();
if (!($_SESSION["class"] == "admin" || $_SESSION["class"] == "root"))
{
    header("Location: login.php"); exit();
}



/*
 * Get "do" variable
 * This tells the script what will it do
 */

$do = $_REQUEST["do"];




/*
 * Import DataBase class
 * Create a new DataBase object
 */

require('db.php');
$DB = new DataBase();


require("../langs/".$DB->get_setting("lang").".php");
$lng = $_lang["settings.php"];
$lng["returntomanager"] = $_lang["returntomanager"];


/*
 * If $do equals "change_setting"
 * It means settings has been changed
 * The script will make a "DataBase Operation"
 */

if ($do == "change_settings")
{
    /*
     * Catch the errors
     */
    
    if (!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$", $_POST["sendermail"]))
        { header("Location: settings.php?err=1"); exit(); }
        
    elseif ( intval($_POST["entries_per_page"]) == 0 )
        { header("Location: settings.php?err=2"); exit(); }
     
    
    
    
    
    
    /*
     * Changing Settings One by one
     */
    
    $DB->set_setting("title", $_POST["title"]);
    $DB->set_setting("header", $_POST["header"]);
    $DB->set_setting("description", $_POST["description"]);
    $DB->set_setting("entries_per_page", $_POST["entries_per_page"]);
    $DB->set_setting("allow_comments", $_POST["allow_comments"]);
    $DB->set_setting("footer", $_POST["footer"]);
    $DB->set_setting("sendermail", $_POST["sendermail"]);
    $DB->set_setting("senderpass", $_POST["senderpass"]);
	$DB->set_setting("lang", $_POST["lang"]);
	$DB->set_setting("browsingtype", $_POST["browsingtype"]);
	$DB->set_setting("skin", $_POST["skin"]);
    
    $data = file_get_contents("../index.htm");
	if ($_POST["browsingtype"] == "static")
	{ $data = ereg_replace("<!-- REFRESH -->.*<!-- \*REFRESH -->", 
			'<!-- REFRESH -->
			<meta http-equiv="refresh" content="0;URL=pages/index0.html">
			<!-- *REFRESH -->', $data); }
	
	else
	{ $data = ereg_replace("<!-- REFRESH -->.*<!-- \*REFRESH -->", 
			'<!-- REFRESH -->
			<meta http-equiv="refresh" content="0;URL=pages/show.php">
			<!-- *REFRESH -->', $data); }
			
	$file = fopen("../index.htm", "w");
	fwrite($file, $data);
	fclose($file);
    
    
    /*
     * Making a little change in site address if necessary
     * After that saving settings
     */
    
    $siteaddress = $_POST["siteaddress"];
    if (substr($siteaddress, 0, 4) !="http")
        { $siteaddress = "http://".$siteaddress; }
    
    if (substr($siteaddress, -1) != "/")
        { $siteaddress = $siteaddress."/"; }
        
    if (! preg_match('/^(http|https|ftp):\/\/([A-Z0-9][A-Z0-9_-]*(?:\.[A-Z0-9][A-Z0-9_-]*)+):?(\d+)?\/?/i', $siteaddress) && substr($siteaddress, 0, 17) != "http://localhost/")
        { header("Location: settings.php?err=3"); exit(); }
    
    $DB->set_setting("siteaddress", $siteaddress);
    
    
    
    
    /*
     * Going to make_site.php to remake the Site
     */
    header("Location: make_site.php");
    exit();
}




/*
 * If $do does not equal "change_setting"
 * It means the user has not been changed settings
 * The script will show a form that user can change settings
 */

else
{
    
    /*
     * From DataBase get all settings
     * These will be values of form elements
     */
    
    $settings = $DB->get_settings();
    
    
    
    
    /*
     * Catch the errors
     */
    
    if ($_GET["err"] == "1")
        { $error_message = $lng["invalidmail"]; }
        
    elseif ($_GET["err"] == "2")
        { $error_message = $lng["invalidepp"]; }
        
    elseif ($_GET["err"] == "3")
        { $error_message = $lng["invalidurl"]; }
    
    
    $lang_options = "";
	$open = opendir("../langs");
    while($x=readdir($open)) 
    { 
        if ($x != "." && $x != ".." && substr($x, -4) == ".php") 
		{
			$a = substr($x, 0, strlen($x)-4);
			if ($settings["lang"] == $a)
				{ $lang_options .= '<option value="'.$a.'" selected="selected">'.$a.'</option>'; }
				
			else
				{ $lang_options .= '<option value="'.$a.'">'.$a.'</option>'; }
		}
	}
	
	$comment_options = "";
	
	foreach(array("both", "show", "none") as $x)
	{
		if($settings["allow_comments"] == $x)
			{ $comment_options .= '<option value="'.$x.'" selected="selected">'.$lng["ac".$x].'</option>'; }
			
		else
			{ $comment_options .= '<option value="'.$x.'">'.$lng["ac".$x].'</option>'; }
	}
			
	$browsing_options = "";
	
	foreach(array("static", "dynamic") as $x)
	{
		if($settings["browsingtype"] == $x)
			{ $browsing_options .= '<option value="'.$x.'" selected="selected">'.$lng["bt".$x].'</option>'; }
			
		else
			{ $browsing_options .= '<option value="'.$x.'">'.$lng["bt".$x].'</option>'; }
	}
	
	$skin_options = "";
	$open = opendir("../style/");
    while($x=readdir($open)) 
    { 
        if ($x != "." && $x != ".." && $x != "admin" && filetype("../style/".$x) == "dir")
		{
			if ($settings["skin"] == $x)
				{ $skin_options .= '<option value="'.$x.'" selected="selected">'.$x.'</option>'; }
				
			else
				{ $skin_options .= '<option value="'.$x.'">'.$x.'</option>'; }
		}
	}
    
    /*
     * Define panel variables $page_title, $side1, $side2
     */
    
    $page_title = $lng["settings"];
    
    $side1 = $error_message.'<br/>
    <form action="settings.php" id="Settings" method="post">
    <dl>
    <dt><label for="title">'.$lng["title"].'</label></dt>
    <dd><input name="title" type="text" id="title" value = "'.$settings["title"].'"/></dd>
	
    <dt><label for="header">'.$lng["sitename"].'</label></dt>
    <dd><input name="header" type="text" id="header" value = "'.$settings["header"].'"/></dd>
	
    <dt><label for="description">'.$lng["description"].'</label></dt>
    <dd><input name="description" type="text" id="description" value = "'.$settings["description"].'"/></dd>
	
    <dt><label for="entries_per_page">'.$lng["epp"].'</label></dt>
    <dd><input name="entries_per_page" type="text" id="entries_per_page" value = "'.$settings["entries_per_page"].'"/></dd>
	
    <dt><label for="allow_comments">'.$lng["allowcomment"].'</label></dt>
    <dd>
        <select name="allow_comments" id="allow_comments">
		'.$comment_options.'
        </select>
	</dd>
	
	<dt><label for="browsingtype">'.$lng["browsingtype"].'</label></dt>
	<dd>
    <select name="browsingtype" id="browsingtype">
        '.$browsing_options.'
    </select>
	</dd>
	
	<dt><label for="lang">'.$lng["langfile"].'</label></dt>
	<dd>
        <select name="lang" id="lang">
            '.$lang_options.'
        </select>
	</dd>
	
	<dt><label for="skin">'.$lng["skin"].'</label></dt>
	<dd>
        <select name="skin" id="skin">
            '.$skin_options.'
        </select>
	</dd>
	
    <dt><label for="sendermail">'.$lng["sendermail"].'</label></dt>
    <dd><input name="sendermail" type="text" id="sendermail" value = "'.$settings["sendermail"].'"/></dd>
	
    <dt><label for="senderpass">'.$lng["senderpass"].'</label></dt>
    <dd><input name="senderpass" type="password" id="senderpass" value = "'.$settings["senderpass"].'"/></dd>
	
    <dt><label for="siteaddress">'.$lng["siteaddress"].'</label></dt>
    <dd><input name="siteaddress" type="text" id="siteaddress" value = "'.$settings["siteaddress"].'"/></dd>
	
	<dt><label for="footer">'.$lng["footer"].'</label></dt>
    <dd><textarea name="footer" id="footer">'.$settings["footer"].'</textarea></dd>
	
    <dt><input type="submit" value="'.$lng["submit"].'" /></dt>
    </dl>
    <input type="hidden" id="do" name="do" value="change_settings" />
	</form>
    
    ';
    
    $side2 = '<a href="index.php">'.$lng["returntomanager"].'</a><br/>';
    
    
    
    
    /*
     * Import panel.php
     * Create a new panel object
     * Show It
     */
    require('./panel.php');        
    $panel = new Panel();
    $panel->show($page_title, $side1, $side2);
    
}    
    



?>
