<?php

class Entry
{
    public $comments=array();
    public $categories=array();
    public $id;
    public $title;
    public $text;
    public $date;
    public $html_solo;
    public $htmlcode;
    public $writerdata;
    
    function __construct($datas, $comments, $relations, $comment_setting, $writerdata, $lng)
    {
        $this->id = $datas["id"];
        $this->title = $datas["title"];
        $this->text = $datas["main"];
		$this->detailed_date = $datas["date"];
		$this->keywords = $datas["keywords"];
        $this->date = date('m/d/Y', strtotime($datas["date"]));
        $this->writerdata = $writerdata;
        
        $this->comments = $comments;
        $this->categories = $relations;
        
        $this->html_solo = $this->html("solo", $comment_setting, $lng);
        $this->htmlcode = $this->html("", $comment_setting, $lng);
    }
    
    function html($type, $comment_setting, $lng)
    {
        $code = 
        '
        <div class="entry">
            <div class="title">
                <a href="show.php?show=entry&id='.$this->id.'">
                '.$this->title.'</a>
            </div>
            <div class="maintext">
                ';
                
        if ($type != "solo")
        {
            $pos = stripos($this->text, "[READMORE]");
            if ($pos == "")
                { $mytext = $this->text; }
            
            else
                { $mytext = substr($this->text, 0, $pos).
                  '<br/><a href="show.php?show=entry&id='.$this->id.'" class="readmore">'.$lng["readmore"].'</a>'; }
            
            $code .= $mytext;
        }
        
        else
        {
            $code .= ereg_replace("\[READMORE\]", "", $this->text);
        }
        
        $code .= '
			</div>';
			
		if (count($this->categories)!=0)
		{
            $code .= '<div class="categories">
                '.$lng["categories"].': *-*-CATEGORIES-*-*
			</div>
        ';
		}
        
        if ($comment_setting == "both" || $comment_setting == "show")
        {
            $code = $code.'
            <div class="bottom">
                '.$lng["comments"].'('.count($this->comments).')
            </div>
            ';
        }
        $code = $code.'
			<div class="date">
                '.$this->date.'
            </div>
            <div class="writer">
                '.$this->writerdata["name"].'
            </div>
			<div class="keywords">
				'.$lng["keywords"].': '.$this->keywords.'
			</div>
        </div>
        <br/>
        ';
        $cats = " - ";
        foreach($this->categories as $category)
            {$cats = $cats.'<a href="show.php?show=category&id='.$category["id"].'">'.$category["name"].'</a> - ';}
        
        $code = ereg_replace("\*\-\*\-CATEGORIES\-\*\-\*", $cats, $code);
        
        #COMMENTS
        if($type == "solo")
        {
        if ($comment_setting == "both" || $comment_setting == "show")
        {
            foreach($this->comments as $thing)
            {
				if ($thing["website"])
				{
					$code = $code.'
					<div class="comment">
						<div class="subject"><a href="'.$thing["website"].'" target="_blank">'.$thing["who"].'&nbsp;('.$thing["date"].')</a></div>
						<div class="text">'.$thing["comment"].'</div>
					</div>';
				}
				
				else
				{
					$code = $code.'
					<div class="comment">
						<div class="subject">'.$thing["who"].'&nbsp;('.$thing["date"].')</div>
						<div class="text">'.$thing["comment"].'</div>
					</div>';
					
				}
            }
        }
        
        if ($comment_setting == "both")
        {
            $code = $code.'
            <div class="newcomment">
                <form action="../new_comment.php" method="POST">
                '.$lng["name"].';<br>
                <input type="text" id="who" name="who" maxlength="120"><br><br>
                
                '.$lng["website"].'<br>
                <input type="text" id="website" name="website" maxlength="60"><br><br>

                '.$lng["comment"].'<br>
                <textarea name="comment" id="comment" rows="8" cols="40"></textarea><br><br/>

                <input type="hidden" id="'.$this->id.'" name="eid" value="'.$this->id.'">
				
				
				<img id="captcha" src="../admin/securimage/securimage_show.php" alt="CAPTCHA Image" /><br/>
				'.$lng["entercode"].'<br/>
				<input type="text" name="captcha_code" size="10" maxlength="4" />

                <input type="submit" value="'.$lng["submit"].'">
                </form>
            </div>';
        }
        }
        
        return $code;
            
    }
        
}

function page_switcher($total, $current)
{
    $total = $total+1;
    $current = $current+1;
    $html = '<div class="pagination">';
    
        if ($total<=5)
        {
            $first = 1;
            $last = $total;
        }
        
        elseif ($current<4)
        {
            $first = 1;
            $last = 5;
        }
        
        elseif ($current>$total-3)
        {
            $first = $total-4;
            $last = $total;
        }
        
        else
        {
            $first = $current-2;
            $last = $current+2;
        }
		
		if ($first != 1)
		{
			$html .= '<a href="show.php?page=1">&#60;&#60;</a>';
		}
		
        for($i=$first; $i<=$last; $i++)
            {
                if ($i==$current)
                {
                    $html = $html.'<span class="current_page">'.$i.'</span>';
                }
            
                else
                {
                    $html = $html.'<a href="show.php?page='.$i.'">'.$i.'</a>';
                }
            }
			
		if ($last != $total)
		{
			$html .= '<a href="show.php?page='.$total.'">&#62;&#62;</a>';
		}
        
        $html = $html.'</div>';
    return $html;
}

function sort_entries($entries)
{
	$x = $entries;
	for($i = 0; $i < count($entries)-1; $i += 1)
	{
		for($j = $i+1; $j < count($entries); $j += 1)
		{
			if (strtotime($x[$i]->detailed_date) < strtotime($x[$j]->detailed_date))
			{
				$t = $x[$j];
				$x[$j] = $x[$i];
				$x[$i] = $t;
			}
				
		}
	}
	return $x;
}


chdir("../admin");
require('db.php');
$DB = new DataBase();

require("../langs/".$DB->get_setting("lang").".php");
$lng = $_lang["make_site.php"];

$blog_title = $DB->get_setting("title");
$site_name = $DB->get_setting("header");
$site_desc = $DB->get_setting("description");
$site_footer = $DB->get_setting("footer");
$site_rss = '<link rel="alternate" type="application/rss+xml" href="'.$DB->get_setting("siteaddress")."rss.php".'" title="'.$site_name.'" />';
$side_address = $DB->get_setting("siteaddress");
$style = $DB->get_setting("skin");


$html_file = fopen("../style/".$style."/HTML.html", "r");
$html_code = "";
while (!feof($html_file)) 
{
	$line_of_text = fgets($html_file);
	$html_code .= $line_of_text;
}

$sidebar = "";
$open = opendir("../widgets/");
    
while($x=readdir($open)) 
{ 
    if ($x != "." && $x != ".." && substr($x, -4) == ".php" && substr($x, 0, 7) == "widget_") 
    {
        $function = 'make_'.substr($x, 0, -4);
        include_once("../widgets/".$x);
        $code = $function($DB, "dinamic");
        $sidebar .= '<div class="widget">'.$code.'</div><br/>'."\n";
    } 
	
	elseif ($x != "." && $x != ".." && (substr($x, -5) == ".html" || substr($x, -4) == ".htm") && substr($x, 0, 11) == "htmlwidget_") 
    {
        $widget_file = fopen("../widgets/".$x, "r");
		$widget_code = "";
		while (!feof($widget_file)) 
		{
			$line_of_text = fgets($widget_file);
			$widget_code .= $line_of_text;
		}
		
		fclose($widget_file);
        $sidebar .= '<div class="widget">'.$widget_code.'</div><br/>'."\n";
    }
}

    

$html_code = ereg_replace("\*\-\*\-THESIDEBAR\-\*\-\*", $sidebar, $html_code);
$html_code = ereg_replace("\*\-\*\-NAME\-\*\-\*", $site_name, $html_code);
$html_code = ereg_replace("\*\-\*\-DESC\-\*\-\*", $site_desc, $html_code);
$html_code = ereg_replace("\*\-\*\-FOOTER\-\*\-\*", $site_footer, $html_code);
$html_code = ereg_replace("\*\-\*\-HEAD\-\*\-\*", $site_rss, $html_code);
$html_code = ereg_replace("\*\-\*\-LINK\-\*\-\*", $side_address, $html_code);




$show = $_GET["show"];

if ($show == "entry")
{
	$id = $_GET["id"];
	$entry = $DB->get_entry($id);
	
	$rel = $DB->get_relations("entry", $entry["id"]);
    $categories = array();
    foreach($rel as $x) { $categories[] = $DB->get_category_info($x); }
	
    $comments = $DB->get_comments($entry["id"]);
    $comment_setting = $DB->get_setting("allow_comments");
	
    $writerdata = $DB->get_user_data($entry["writer"]);
	
    $entry_object = new Entry($entry, $comments, $categories, $comment_setting, $writerdata, $lng);
	
	$solo_html = ereg_replace("\*\-\*\-CONTENT\-\*\-\*", $entry_object->html_solo, $html_code);
    $solo_html = ereg_replace("\*\-\*\-TITLE\-\*\-\*", $entry_object->title." - ".$blog_title, $solo_html);
	$solo_html = ereg_replace("\*\-\*\-DESCRIPTION\-\*\-\*", $entry_object->title , $solo_html);
	$solo_html = ereg_replace("\*\-\*\-KEYWORDS\-\*\-\*", $entry_object->keywords , $solo_html);
    
	echo $solo_html;
	exit();
}

elseif ($show == "category")
{
	$id = $_GET["id"];
	$category = $DB->get_category($id);
	$category = array(
		"id" => $category["id"],
		"name" => $category["name"], 
		"description" => $category["description"], 
		"members" => array());
	
	$get_entries = $DB->get_entries();
	$entries = array();
	
	foreach($get_entries as $entry)
	{
		$rel = $DB->get_relations("entry", $entry["id"]);
		$categories = array();
		foreach($rel as $x) { $categories[] = $DB->get_category_info($x); }
		$comments = $DB->get_comments($entry["id"]);
		$comment_setting = $DB->get_setting("allow_comments");
		$writerdata = $DB->get_user_data($entry["writer"]);
		$entries[] = new Entry($entry, $comments, $categories, $comment_setting, $writerdata, $lng);
	}
	
	$entries = sort_entries($entries);
	
	foreach($entries as $entry)
	{
		foreach ($entry->categories as $cat)
		{
			if ($cat["id"] == $category["id"])
				{ $category["members"][] = $entry; break;}
		}
	}
	
	$content = "";
    foreach($category["members"] as $entry)
        { $content = $content.$entry->htmlcode; }
		
	$description = $category["name"]." - ".$category["description"];
	$member = $category["members"][0];
	$keywords = $category["name"].", ".$category["description"].", ".$member->keywords;
            
    $html = ereg_replace("\*\-\*\-CONTENT\-\*\-\*", $content, $html_code);
    $html = ereg_replace("\*\-\*\-TITLE\-\*\-\*", $category["name"]." - ".$blog_title, $html);
	$html = ereg_replace("\*\-\*\-DESCRIPTION\-\*\-\*", $description , $html);
	$html = ereg_replace("\*\-\*\-KEYWORDS\-\*\-\*", $keywords, $html);
	
	echo $html;
	exit();	
}

else
{
	$page = $_GET["page"];
	
	if (!$page) { $page = 1; }
	
	$epp = $DB->get_setting("entries_per_page");
	
	$get_entries = $DB->get_entries();
	$entries = array();
	
	foreach($get_entries as $entry)
	{
		$rel = $DB->get_relations("entry", $entry["id"]);
		$categories = array();
		foreach($rel as $x) { $categories[] = $DB->get_category_info($x); }
		$comments = $DB->get_comments($entry["id"]);
		$comment_setting = $DB->get_setting("allow_comments");
		$writerdata = $DB->get_user_data($entry["writer"]);
		$entries[] = new Entry($entry, $comments, $categories, $comment_setting, $writerdata, $lng);
	}
	
	$entries = sort_entries($entries);
	
	$page_number = floor(count($entries)/$epp);
	if ($page_number == count($entries)/$epp) { $page_number--; }
	
	$count = $page - 1;
	
	$content = "";
	$subcounter = 0;
	if ($count != $page_number)
	{
		while($subcounter < $epp)
		{
			$entry = $entries[$count*$epp +$subcounter];
			$content = $content.$entry->htmlcode;
			$subcounter++;
		}
	}
	
	else
	{
		while($subcounter < count($entries)-($epp*$page_number ))
		{
			$entry = $entries[$count*$epp +$subcounter];
			$content = $content.$entry->htmlcode;
			$subcounter++;
		}
	}
	$pages = page_switcher($page_number, $count);
	$content = $content.$pages;
	
	$description = $site_desc;
	$keywords = "";
	
	$categories = $DB->get_categories();
	
	foreach($categories as $cat)
	{
		$keywords .= $cat["name"].", ".$cat["description"].", ";
	}
	$keywords .= $site_desc.", ";
	$keywords .= $entries[0]->keywords;
	
	$new_html = ereg_replace("\*\-\*\-CONTENT\-\*\-\*", $content, $html_code);
	$new_html = ereg_replace("\*\-\*\-TITLE\-\*\-\*", $blog_title, $new_html);
	$new_html = ereg_replace("\*\-\*\-DESCRIPTION\-\*\-\*", $description, $new_html);
	$new_html = ereg_replace("\*\-\*\-KEYWORDS\-\*\-\*", $keywords, $new_html);
	
	echo $new_html;
	exit();
	
}


?> 

